Get a chart for a fungible asset
curl --request GET \
--url https://api.zerion.io/v1/fungibles/{fungible_id}/charts/{chart_period} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.zerion.io/v1/fungibles/{fungible_id}/charts/{chart_period}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.zerion.io/v1/fungibles/{fungible_id}/charts/{chart_period}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerion.io/v1/fungibles/{fungible_id}/charts/{chart_period}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"links": {
"self": "https://api.zerion.io/v1/fungibles/fda0820a-9cff-40f5-997b-a76b9f9d60e7/charts/day"
},
"data": {
"type": "fungible_charts",
"id": "fda0820a-9cff-40f5-997b-a76b9f9d60e7-week",
"attributes": {
"begin_at": "2023-01-18T11:00:00Z",
"end_at": "2023-01-25T10:30:00Z",
"stats": {
"first": 1145.00999,
"min": 1133.034,
"avg": 1689.1110093,
"max": 2345.601,
"last": 1515.34
},
"points": [
[
1674039600,
1145.00999
]
]
}
}
}{
"errors": [
{
"title": "Parameter is malformed",
"detail": "Some validation errors will be described here"
}
]
}{
"errors": [
{
"title": "Unauthorized Error",
"detail": "The API key is invalid, please, make sure that you are using a valid key"
}
]
}{
"errors": [
{
"title": "Resource was not found",
"detail": "Requested resource was not found, try later"
}
]
}{
"errors": [
{
"title": "Too many requests",
"detail": "Your request had been throttled"
}
]
}{
"errors": [
{
"title": "Service is temporarily unavailable",
"detail": "Please, retry later (check the Retry-After header)"
}
]
}fungibles
Get a chart for a fungible asset
This endpoint returns the chart for the fungible asset for a selected period
GET
/
v1
/
fungibles
/
{fungible_id}
/
charts
/
{chart_period}
Get a chart for a fungible asset
curl --request GET \
--url https://api.zerion.io/v1/fungibles/{fungible_id}/charts/{chart_period} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.zerion.io/v1/fungibles/{fungible_id}/charts/{chart_period}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.zerion.io/v1/fungibles/{fungible_id}/charts/{chart_period}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerion.io/v1/fungibles/{fungible_id}/charts/{chart_period}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"links": {
"self": "https://api.zerion.io/v1/fungibles/fda0820a-9cff-40f5-997b-a76b9f9d60e7/charts/day"
},
"data": {
"type": "fungible_charts",
"id": "fda0820a-9cff-40f5-997b-a76b9f9d60e7-week",
"attributes": {
"begin_at": "2023-01-18T11:00:00Z",
"end_at": "2023-01-25T10:30:00Z",
"stats": {
"first": 1145.00999,
"min": 1133.034,
"avg": 1689.1110093,
"max": 2345.601,
"last": 1515.34
},
"points": [
[
1674039600,
1145.00999
]
]
}
}
}{
"errors": [
{
"title": "Parameter is malformed",
"detail": "Some validation errors will be described here"
}
]
}{
"errors": [
{
"title": "Unauthorized Error",
"detail": "The API key is invalid, please, make sure that you are using a valid key"
}
]
}{
"errors": [
{
"title": "Resource was not found",
"detail": "Requested resource was not found, try later"
}
]
}{
"errors": [
{
"title": "Too many requests",
"detail": "Your request had been throttled"
}
]
}{
"errors": [
{
"title": "Service is temporarily unavailable",
"detail": "Please, retry later (check the Retry-After header)"
}
]
}Authorizations
Path Parameters
Unique fungible ID
Maximum string length:
44Chart period. Determines both the time window covered and the spacing
between chart points (points). Each period samples the window at a fixed
interval, so the number of points is roughly constant (~290–460) regardless
of period:
| Period | Point interval | Time window |
|---|---|---|
hour | 10 seconds | last 1 hour |
day | 5 minutes | last 24 hours |
week | 30 minutes | last 7 days |
month | 2 hours | last 30 days |
3months | 6 hours | last 90 days |
6months | 12 hours | last 180 days |
year | 1 day | last 365 days |
5years | 4 days | last 5 years |
max | varies | full available history |
Point counts are approximate, and begin_at / end_at are aligned to the
interval. For max, the interval is derived from the amount of available
history (targeting ~400 points), so it varies; for wallet and wallet-set
charts the spacing is at least 1 day.
Available options:
hour, day, week, month, 3months, 6months, year, 5years, max Required string length:
3 - 7Query Parameters
Denominated currency value of returned prices
Available options:
eth, btc, usd, eur, krw, rub, gbp, aud, cad, inr, jpy, nzd, try, zar, cny, chf Was this page helpful?